
/*
 * Data related to a local file.
 *
 * This data is provided by the electron-tree module.
 */

Ext.define('POSync.model.LocalFile', {
    extend:     'Ext.data.TreeModel',
    idProperty: 'path',
    fields: [
        'path',		// The full path of the file or directory
        'name',		// The name (with extension) of the file or directory
        'extension',	// The extension of the file or directory
        'size',		// The size in bytes
	'type',		// Either 'directory' or 'file'
        'children',     // List of files and subdirectories (for directories only)
        // Added for internal sencha management
        'expandable',     // true if directory contents are shown
        'expanded',     // true if directory contents are shown
	'leaf',		// true if node has no children
        'sha1',
        'date',
        'mime_type',
        'iconCls'
    ],
    proxy: {
        type:   'memory',
        reader: {
            type:   'json', 
            root:   'children' 
        }
    }
});
